View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000140Ecere SDKcompilerpublic2008-09-18 16:552013-08-07 05:57
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000140: Declaring an eC struct as a C struct in the parameters, a pointer declarator is being added
DescriptionThe following won't compile:

struct InventoryItem
{
  int code;
  float price;
};

void print(InventoryItem item)
{
  PrintLn("item.code= %d\nitem.price=%.2f\n",item.code,item.price);
}


void DontModifyItem(struct InventoryItem item)
{
  item.code=1234;
  item.price=45.0f;
}
void Test()
{
  InventoryItem item1{};
  DontModifyItem(item1);
  Print(item1);
}
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000291)
jerome (administrator)
2010-07-29 15:33

This is straight the Tao, isn't it?
(0000938)
jerome (administrator)
2013-08-07 04:39

It is. Page 42.
(0000939)
jerome (administrator)
2013-08-07 05:57

Fixed by https://github.com/ecere/ecere-sdk/commit/4e4e1ec612d290905c252b4bd399566521ed0b25 [^]

- Issue History
Date Modified Username Field Change
2008-09-18 16:55 jerome New Issue
2008-09-18 16:55 jerome Status new => assigned
2008-09-18 16:55 jerome Assigned To => jerome
2010-07-25 22:30 redj Relationship added child of 0000430
2010-07-29 15:32 jerome Relationship deleted child of 0000430
2010-07-29 15:33 jerome Relationship added child of 0000429
2010-07-29 15:33 jerome Note Added: 0000291
2010-07-29 15:33 jerome Priority high => immediate
2012-03-08 15:43 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:42 redj Relationship deleted child of 0000429
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2013-04-24 03:56 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-04-24 20:22 jerome Assigned To jerome =>
2013-04-27 06:08 redj Status assigned => new
2013-08-07 02:57 jerome Assigned To => jerome
2013-08-07 02:57 jerome Status new => assigned
2013-08-07 02:57 jerome Target Version 0.44.10 64 => 0.44.08
2013-08-07 04:39 jerome Note Added: 0000938
2013-08-07 05:57 jerome Status assigned => closed
2013-08-07 05:57 jerome Note Added: 0000939
2013-08-07 05:57 jerome Resolution open => fixed
2013-08-07 05:57 jerome Fixed in Version => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker